<?php
define('_IN_JOHNCMS', 1);
$headmod = 'mainpage';
$rootpath = '';
require_once ('incfiles/core.php');
require_once ('incfiles/head.php');
if (isset ($_GET['err']))
$act = 404;
switch ($act) {
case '404' :
////////////////////////////////////////////////////////////
// Сообщение об ошибке 404                                //
////////////////////////////////////////////////////////////
echo display_error('Запрошенная Вами страница отсутствует');
break;
//
case 'info' :
////////////////////////////////////////////////////////////
// Информационный блок                                    //
////////////////////////////////////////////////////////////
echo '<div class="phdr"><b>Информация</b></div>';
echo '<div class="menu"><a href="str/smile.php">Смайлы</a></div>';
echo '<div class="menu"><a href="str/avatar.php">Аватары</a></div>';
echo '<div class="menu"><a href="read.php?">FAQ (ЧаВо)</a></div>';
//TODO: Разобраться с сессией, по возможности удалить
$_SESSION['refsm'] = '../index.php?act=info';
break;

case 'cab' :
////////////////////////////////////////////////////////////
// Личный кабинет                                         //
////////////////////////////////////////////////////////////
if (!$user_id) {
echo display_error('Только для зарегистрированных');
require_once ('incfiles/end.php');
exit;
}
// Блок статистики
echo '<div class="gmenu"><div class="phdr"><img src="images/rate.gif" width="16" height="16" class="left" /> Основное</div>';
if ($rights >= 1) {
echo '<div class="menu">&raquo; <span class="red"><a href="' . $admp . '/index.php">Админ панель</a></span></div>';
$guest = gbook(2);
echo '<div class="menu">&raquo; <a href="str/guest.php?act=ga&amp;do=set">Адм.чат</a> (<span class="red">' . $guest . '</span>)</div><hr/>';}

echo '<div class="menu">&raquo; <a href="str/anketa.php">Моя анкета</a> ';
echo ' [<a href="str/my_data.php">Ред</a>]</div>';
echo '<div class="menu">&raquo; <a href="str/my_set.php">Настройки</a> ';
echo '[<a href="str/my_set.php?act=forum">Форум</a>] ';
echo '[<a href="str/my_set.php?act=chat">Чат</a>]</div>';
echo '<div class="menu">&raquo; <a href="'.$home.'/pochta/">Сообщения</a> [' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND`id_kont`=' . $user_id . '  AND `sys`=1 AND `read`=1 AND `delete`!=' . $user_id . ' AND `spam`=1;'), 0) .  ' | ' . mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`!=' . $user_id . ' AND`id_kont`=' . $user_id . '  AND `sys`=1 AND `delete`!=' .$user_id . ' AND `spam`=1;'), 0) .  ']</div>';
echo '<div class="menu">&raquo; <a href= "str/wmr.php">Мой R кошелек</a></div>';
echo '<div class="menu">&raquo; <a href= "str/wmid.php">Мой WMID</a></div>';
echo '<div class="menu">&raquo; <a href="str/my_pass.php">Сменить пароль</a></div>';

echo '</div>';
break;


case 'digest' :
////////////////////////////////////////////////////////////
// Дайджест                                               //
////////////////////////////////////////////////////////////
if (!$user_id) {
echo display_error('Только для зарегистрированных');
require_once ('incfiles/end.php');
exit;
}
echo '<div class="phdr">Дайджест</div>';
echo '<div class="gmenu"><p>Привет, <b>' . $login . '</b><br/>Добро пожаловать на ' . $copyright . '!<br /><a href="index.php">Войти на сайт</a></p></div>';
// Поздравление с днем рождения
if ($datauser['dayb'] == $day && $datauser['monthb'] == $mon) {
echo '<div class="rmenu"><p>С ДНЁМ РОЖДЕНИЯ!!!</p></div>';
}
// Дайджест Администратора
if ($rights >= 1) {
$newusers_total = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `datereg` > '" . ($realtime - 86400) . "' AND `preg` = '1'"), 0);
$reg_total = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `preg` = 0"), 0);
$ban_total = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `ban_time`>'" . $realtime . "'"), 0);
echo '<div class="bmenu">События в админке</div>';
echo '<div class="menu"><ul>';
if ($newusers_total > 0)
echo '<li><a href="str/users.php">Новые посетители</a> (' . $newusers_total . ')</li>';
if ($reg_total > 0)
echo '<li><a href="' . $admp . '/index.php?act=usr_reg">На регистрации</a> (' . $reg_total . ')</li>';
if ($ban_total > 0)
echo '<li><a href="' . $admp . '/index.php?act=usr_ban">Имеют Бан</a> (' . $ban_total . ')</li>';
$total_libmod = mysql_result(mysql_query("SELECT COUNT(*) FROM `lib` WHERE `type` = 'bk' AND `moder` = 0"), 0);
if ($total_libmod > 0)
echo '<li><a href="library/index.php?act=moder">Мод. Библиотеки</a> (' . $total_libmod . ')</li>';
$total_admin = gbook(2);
if ($total_admin > 0)
echo '<li><a href="str/guest.php?act=ga&amp;do=set">Админ-Клуб</a> (' . $total_admin . ')</li>';
if (!$newusers_total && !$reg_total && !$ban_total && !$total_libmod && !$total_admin)
echo 'Новых событий нет';
echo '</ul></div>';
}
// Дайджест юзеров
echo '<div class="bmenu">Новое на сайте</div><div class="menu"><ul>';
$total_news = mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `time` > " . ($realtime - 86400)), 0);
if ($total_news > 0)
echo '<li><a href="str/news.php">Новости</a> (' . $total_news . ')</li>';
$total_forum = forum_new();
if ($total_forum > 0)
echo '<li><a href="forum/index.php?act=new">Форум</a> (' . $total_forum . ')</li>';
$total_guest = gbook(1);
if ($total_guest > 0)
echo '<li><a href="str/guest.php?act=ga">Гостевая</a> (' . $total_guest . ')</li>';
$total_gal = fgal(1);
if ($total_gal > 0)
echo '<li><a href="gallery/index.php?act=new">Галерея</a> (' . $total_gal . ')</li>';
if($set_karma['on']) {
$total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . ($realtime - 86400)), 0);
if ($total_karma > 0)
echo '<li><a href="str/karma.php?act=new">Новые отзывы</a> (' . $total_karma . ')</li>';
}
$old = $realtime - (3 * 24 * 3600);
$total_lib = mysql_result(mysql_query("SELECT COUNT(*) FROM `lib` WHERE `type` = 'bk' AND `moder` = 1 AND `time` > " . $old), 0);
if ($total_lib > 0)
echo '<li><a href="library/index.php?act=new">Библиотека</a> (' . $total_lib . ')</li>';
// Если нового нет, выводим сообщение
if (!$total_news && !$total_forum && !$total_guest && !$total_gal && !$total_lib && !$total_karma)
echo 'Новостей нет';
// Дата последнего посещения
$last = isset ($_GET['last']) ? intval($_GET['last']) : $datauser['lastdate'];
echo '</ul></div><div class="phdr">Последнее посещение: ' . date("d.m.Y (H:i)", $last) . '</div>';
break;

default :
////////////////////////////////////////////////////////////
// Главное меню сайта                                     //
////////////////////////////////////////////////////////////
include_once 'pages/mainmenu.php';
}

require_once ('incfiles/end.php');

?>
